{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine end_dialog\r\ndeclare function memberof, msg\r\n\r\nif memberof( @user4, 'DATA_ENTRY' ) or memberof ( @user4, 'SUPERVISOR' ) or memberof( @user4, 'MAINTENANCE' ) then\r\n  open 'CONFIG' to ConfigTable else\r\n      Void = msg( '', 'Unable to open CONFIG table...' )\r\n      return 0\r\n  end\r\n  RecName = 'REACT_MODE':.reactor_no->text\r\n  unlock ConfigTable, RecName else\r\n     *Void = msg( '', 'Unable to unlock ':RecName:' in CONFIG table...' )\r\n     *return 0\r\n     * remarked above code cause user may cancel without entering a\r\n     * reactor number if a technician\r\n  end\r\n  if .reactor_no->text else\r\n     .reactor_no->text = 1\r\n  end\r\nend\r\nend_dialog( @window, 'CANCEL' )\r\nRETURN 0"
        }
    }
}